Skip to main content
System Global Type/Garbage Collection Operations
GETGarbage Collection OperationsSince 0.6SynchronousAuth Required

QueryGCJob

QueryGCJob

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • runnerClassStringRequired

      No description provided.

    • contextStringRequired

      上下文。

    • statusStringRequired

      状态信息。

    • managementNodeUuidStringRequired

      管理节点UUID。

    • typeStringRequired

      类型。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/gc-jobs

/zstack/v1/gc-jobs

Operation ID

QueryGCJob

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/gc-jobs' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "c7606f2ed20b4212aa3d1ce4e00acc1c", "name": "TestGC", "type": "TimeBased", "createDate": "Jun 7, 2017 9:21:16 PM", "lastOpDate": "Jun 7, 2017 9:21:16 PM" } ] }

Change History

This API has no change history records yet.

View all change history